Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Yast and Software Updates fail after updating to 11.4 distro

  1. #1

    Default Yast and Software Updates fail after updating to 11.4 distro

    While upgrading from Suse 11.3 to 11.4 using zypper my computer froze. I allowed it to sit for 7 hrs before regrettably restarting the machine. I was later able to install 11.4 successfully, however it seems now yast2 is broken. Whenever I try to use the sofware management tool the following error appears:
    Code:
    "Error while creating client module online_update"
    Interesting enough zypper gives the following following text when I use the ls command
    Code:
    #zypper ls
    zypper: /usr/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.706)
    zypper: /usr/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.706)
    zypper: /usr/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.706)
    zypper: /usr/lib64/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.706)
    I thought the two files were not linked so I performed a #ln, but that yeilded this error.
    Code:
    linux-hw96:/usr/lib64 # ln -s libzypp.so.706.3.6 libzypp.so.706
    ln: failed to create symbolic link `libzypp.so.706': File exists
    I think the two issues are related, but I'm pretty stuck at this point. I've read about people having similar issues with yast2 after distro updates, but their issues seems slightly different as those solution do not work for me.

    ------------------------------
    Suse 11.4 Gnome 2.3.1
    Dell Inspiron, Intel Dual core Centrino 64, 4 gigs of ram

  2. #2

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    Found a solution. Thanks for all the help.

  3. #3

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    Quote Originally Posted by warmachinebaileym View Post
    Found a solution. Thanks for all the help.
    What kind of solution did you find? I'm facing the same error ...
    Code:
     zypper ls
    zypper: /usr/local/lib/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.631)
    zypper: /usr/local/lib/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.631)
    zypper: /usr/local/lib/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.631)
    zypper: /usr/local/lib/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.631)
    # | Alias                                                     | Name                                                      | Enabled | Refresh | Type
    --+-----------------------------------------------------------+-----------------------------------------------------------+---------+---------+-------
    1 | nu_novell_com                                             | nu_novell_com                                             | Yes     | Yes     | ris
    2 | SLE-11-SDK                                                | SLE-11-SDK                                                | Yes     | No      | yast2
    3 | SLE-11-SDK-DVD                                            | SLE-11-SDK-DVD                                            | Yes     | No      | yast2
    4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | Yes     | Yes     | yast2
    5 | download.opensuse.org/distribution/11.3/repo/oss/         | download.opensuse.org/distribution/11.3/repo/oss/         | Yes     | Yes     | yast2
    6 | mozilla                                                   | Mozilla based projects (openSUSE_11.3)                    | Yes     | Yes     | rpm-md

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    On 2011-05-27 13:36, zork66 wrote:
    >
    > warmachinebaileym;2330409 Wrote:
    >> Found a solution. Thanks for all the help.

    > What kind of solution did you find? I'm facing the same error ...
    >
    > Code:
    > --------------------
    > zypper ls
    > zypper: /usr/local/lib/libxml2.so.2: no version information available (required by /usr/lib64/libzypp.so.631)



    Why do you have a local version of that library?

    > # | Alias | Name | Enabled | Refresh | Type
    > --+-----------------------------------------------------------+-----------------------------------------------------------+---------+---------+-------
    > 1 | nu_novell_com | nu_novell_com | Yes | Yes | ris
    > 2 | SLE-11-SDK | SLE-11-SDK | Yes | No | yast2
    > 3 | SLE-11-SDK-DVD | SLE-11-SDK-DVD | Yes | No | yast2
    > 4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | SUSE-Linux-Enterprise-Server-11-SP1-for-VMware 11.1.1-1.4 | Yes | Yes | yast2
    > 5 | download.opensuse.org/distribution/11.3/repo/oss/ | download.opensuse.org/distribution/11.3/repo/oss/ | Yes | Yes | yast2
    > 6 | mozilla | Mozilla based projects (openSUSE_11.3) | Yes | Yes | rpm-md
    > --------------------



    Huh-Oh... Your system must be hosed completely. You have a mixture of SLES
    and openSUSE, which is a NO-NO.

    No ideas except reinstall. After a good read of the documentation to figure
    out why that is a bad idea.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

  5. #5

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    yeah it's an SLES 11 SP1 in a Virtual Machine, don't know how the openSUSE repositories came in there. I'm trying to get them out, but I'm afraid to just delete them. will yast replace the files from the openSUSE repository by itself with the files from the SLES repository? or will it just kill the system?

  6. #6
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    On 2011-05-27 14:36, zork66 wrote:
    >
    > yeah it's an SLES 11 SP1 in a Virtual Machine, don't know how the
    > openSUSE repositories came in there. I'm trying to get them out, but I'm
    > afraid to just delete them. will yast replace the files from the
    > openSUSE repository by itself with the files from the SLES repository?
    > or will it just kill the system?


    I can't vouch for anything. My recommendation is to install from scratch.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.2 x86_64 "Emerald" at Telcontar)

  7. #7

    Default AW: Re: Yast and Software Updates fail after updating to 11.4 distro

    so just give it a try and if it fails install from scratch
    Problem is, the server is about 600 km away from my desk ...

  8. #8

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    Ok, I felt brave and did it
    Deletet the openSUSE repositories, and downgraded yast by hand via deleting the upgrades files via RPM and reinstalling the original files from the installation DVD that was available as an image.
    Yast does what it should do, now I only have to get Zypper and VNC working again.

    Thanks for your help
    Dennis.

  9. #9

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    hmm... still trying to sort things out with zypper, but found no answer.
    warmachinebaileym, what did you do to get zypper working again?

  10. #10
    Join Date
    Jun 2008
    Location
    Earth - Denmark
    Posts
    10,730

    Default Re: Yast and Software Updates fail after updating to 11.4 distro

    On 05/30/2011 11:06 AM, zork66 wrote:
    >
    > hmm... still trying to sort things out with zypper, but found no
    > answer.
    > warmachinebaileym, what did you do to get zypper working again?


    try using YaST to remove/replace zypper..(but read my caveat in sig, first)

    and, highly suggest you use the bright folks over at forums.novell.com,
    it is they who know the most about SLES

    openSUSE and SLES/SLED are *not* the same.

    --
    dd CAVEAT: http://is.gd/bpoMD
    [NNTP via openSUSE 11.4 [2.6.37.6-0.5] + KDE 4.6.0 + Thunderbird 3.1.10]
    Dual booting with Sluggish Loser7 on Acer Aspire One D255

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •